import { MenuCreation } from '../../modules/smz-layouts/core/models/menu-creation';
import { NgxSmzUiConfig } from '../../ngx-smz-ui.config';
import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
import { SmzUiAuthorizationBuilder } from './authorization-builder';
export declare class SmzUiTenantCrudBuilder<TData> extends SmzBuilderUtilities<SmzUiTenantCrudBuilder<TData>> {
    private _builder;
    private _state;
    protected that: this;
    private _config;
    private _menu;
    constructor(_builder: SmzUiAuthorizationBuilder<TData>, _state: NgxSmzUiConfig);
    setTitle(title: string): SmzUiTenantCrudBuilder<TData>;
    overrideMenu(partial?: Partial<MenuCreation>): SmzUiTenantCrudBuilder<TData>;
    hide(): SmzUiTenantCrudBuilder<TData>;
    get authorization(): SmzUiAuthorizationBuilder<TData>;
}
